NX Open C++ Reference Guide
Public Member Functions | List of all members
NXOpen::SketchOffsetBuilder Class Reference

Represents a NXOpen::SketchOffsetBuilder
To create a new instance of this class, use NXOpen::SketchCollection::CreateSketchOffsetBuilder
Default values. More...

Inheritance diagram for NXOpen::SketchOffsetBuilder:
NXOpen::Builder NXOpen::TaggedObject NXOpen::GeometricUtilities::IComponentBuilder

Public Member Functions

void BreakChain (NXOpen::NXObject *object1, NXOpen::NXObject *object2, const NXOpen::Point3d &helpPt)
 This function breaks the base chain and all the associated offsets at a given location
Created in NX5.0.0. More...
 
NXOpen::SketchOffset::CapType CapType ()
 Returns the type of the cap needed at the corners
Created in NX5.0.0. More...
 
bool ConvertToReference ()
 Returns the flag to indicate if the input curves needs to converted to reference
Created in NX5.0.0. More...
 
bool CreateDimension ()
 Returns the flag to create offset with a dimension or a dimensionless offset
Created in NX5.0.0. More...
 
NXOpen::SectionCreateSection ()
 The function creates a new empty section object and adds it to the builder. More...
 
int Degree ()
 Returns the degree for approximating offset spline
Created in NX5.0.0. More...
 
NXOpen::ExpressionDistance ()
 Returns the offset distance expression
Created in NX5.0.0. More...
 
void EvaluateOffset ()
 This function will solve the offset constraint to update it based on the new data set in the builder
Created in NX8.5.0. More...
 
std::vector< NXOpen::NXObject * > GetOutputCurvesOfOffset ()
 This function gets all output curves of an offset. More...
 
std::vector< NXOpen::Section * > GetSections ()
 This function gets all sections of an offset during create/edit. More...
 
bool IsSymmetric ()
 Returns the flag to indicate if the offset needs to be symmetric or not
Created in NX5.0.0. More...
 
void MergeChains (NXOpen::NXObject *object1, NXOpen::NXObject *object2, const NXOpen::Point3d &helpPt)
 This function merges the two chains. More...
 
int NumberOfCopies ()
 Returns the number of offset copies
Created in NX5.0.0. More...
 
void RemoveSection (NXOpen::Section *section)
 The function removes the given section from the builder
Created in NX5.0.0. More...
 
void ReverseOffsetDirectionOfChain (NXOpen::NXObject *objectInChain)
 This function reverses the offset direction of the chain containing the input geometry
Created in NX5.0.0. More...
 
void SetCapType (NXOpen::SketchOffset::CapType capType)
 Sets the type of the cap needed at the corners
Created in NX5.0.0. More...
 
void SetConvertToReference (bool reference)
 Sets the flag to indicate if the input curves needs to converted to reference
Created in NX5.0.0. More...
 
void SetCreateDimension (bool createDim)
 Sets the flag to create offset with a dimension or a dimensionless offset
Created in NX5.0.0. More...
 
void SetDegree (int degree)
 Sets the degree for approximating offset spline
Created in NX5.0.0. More...
 
void SetEndConstraint (NXOpen::NXObject *objectInChain, int inx, bool isStartEnd, bool constraint)
 This function removes end constraint from the given offset
Created in NX5.0.0. More...
 
void SetNumberOfCopies (int copies)
 Sets the number of offset copies
Created in NX5.0.0. More...
 
void SetSymmetric (bool symmetric)
 Sets the flag to indicate if the offset needs to be symmetric or not
Created in NX5.0.0. More...
 
void SetTolerance (double tolerance)
 Sets the tolerance for approximating offset spline
Created in NX5.0.0. More...
 
double Tolerance ()
 Returns the tolerance for approximating offset spline
Created in NX5.0.0. More...
 
void UpdateLoopsAndCopies ()
 This function will update the offset after curves are selected. More...
 
void UpdateSolverDistance ()
 This function will update the distance in the sketch solver using the new data set in the builder
Created in NX11.0.0. More...
 
- Public Member Functions inherited from NXOpen::Builder
NXOpen::NXObjectCommit ()
 Commits any edits that have been applied to the builder. More...
 
void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
std::vector< NXOpen::NXObject * > GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
NXOpen::NXObjectGetObject ()
 Returns the object currently being edited by this builder. More...
 
void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
virtual bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen::TaggedObject
tag_t Tag () const
 Returns the tag of this object. More...
 

Detailed Description

Represents a NXOpen::SketchOffsetBuilder
To create a new instance of this class, use NXOpen::SketchCollection::CreateSketchOffsetBuilder
Default values.

Property Value

CapType

Extension

ConvertToReference

False

CreateDimension

True

Degree

3

Distance.Value

5.0 (millimeters part), 2.0 (inches part)

IsSymmetric

False

NumberOfCopies

1


Created in NX5.0.0.

Member Function Documentation

void NXOpen::SketchOffsetBuilder::BreakChain ( NXOpen::NXObject object1,
NXOpen::NXObject object2,
const NXOpen::Point3d helpPt 
)

This function breaks the base chain and all the associated offsets at a given location
Created in NX5.0.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

Parameters
object1An object in chain to break
object2Adjacent object to the previous one
helpPtHelp point for multiple intersections
NXOpen::SketchOffset::CapType NXOpen::SketchOffsetBuilder::CapType ( )

Returns the type of the cap needed at the corners
Created in NX5.0.0.



License requirements : None

bool NXOpen::SketchOffsetBuilder::ConvertToReference ( )

Returns the flag to indicate if the input curves needs to converted to reference
Created in NX5.0.0.



License requirements : None

bool NXOpen::SketchOffsetBuilder::CreateDimension ( )

Returns the flag to create offset with a dimension or a dimensionless offset
Created in NX5.0.0.



License requirements : None

NXOpen::Section* NXOpen::SketchOffsetBuilder::CreateSection ( )

The function creates a new empty section object and adds it to the builder.

Returns
New section object
Created in NX5.0.0.

License requirements : None
int NXOpen::SketchOffsetBuilder::Degree ( )

Returns the degree for approximating offset spline
Created in NX5.0.0.



License requirements : None

NXOpen::Expression* NXOpen::SketchOffsetBuilder::Distance ( )

Returns the offset distance expression
Created in NX5.0.0.



License requirements : None

void NXOpen::SketchOffsetBuilder::EvaluateOffset ( )

This function will solve the offset constraint to update it based on the new data set in the builder
Created in NX8.5.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

std::vector<NXOpen::NXObject *> NXOpen::SketchOffsetBuilder::GetOutputCurvesOfOffset ( )

This function gets all output curves of an offset.

Returns
All the curves associated with constraint
Created in NX5.0.0.

License requirements : solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")
std::vector<NXOpen::Section *> NXOpen::SketchOffsetBuilder::GetSections ( )

This function gets all sections of an offset during create/edit.

Returns
All the sections associated with the builder
Created in NX5.0.0.

License requirements : solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")
bool NXOpen::SketchOffsetBuilder::IsSymmetric ( )

Returns the flag to indicate if the offset needs to be symmetric or not
Created in NX5.0.0.



License requirements : None

void NXOpen::SketchOffsetBuilder::MergeChains ( NXOpen::NXObject object1,
NXOpen::NXObject object2,
const NXOpen::Point3d helpPt 
)

This function merges the two chains.

The last geom of first chain and first geom of next chain are taken as input.
Created in NX5.0.0.

License requirements : solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

Parameters
object1Last geom of first chain
object2First geom of next chain
helpPtHelp point for multiple intersections
int NXOpen::SketchOffsetBuilder::NumberOfCopies ( )

Returns the number of offset copies
Created in NX5.0.0.



License requirements : None

void NXOpen::SketchOffsetBuilder::RemoveSection ( NXOpen::Section section)

The function removes the given section from the builder
Created in NX5.0.0.



License requirements : None

Parameters
sectionSection obj to remove
void NXOpen::SketchOffsetBuilder::ReverseOffsetDirectionOfChain ( NXOpen::NXObject objectInChain)

This function reverses the offset direction of the chain containing the input geometry
Created in NX5.0.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

Parameters
objectInChainAn object in chain to reverse
void NXOpen::SketchOffsetBuilder::SetCapType ( NXOpen::SketchOffset::CapType  capType)

Sets the type of the cap needed at the corners
Created in NX5.0.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

Parameters
capTypecaptype
void NXOpen::SketchOffsetBuilder::SetConvertToReference ( bool  reference)

Sets the flag to indicate if the input curves needs to converted to reference
Created in NX5.0.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

Parameters
referencereference
void NXOpen::SketchOffsetBuilder::SetCreateDimension ( bool  createDim)

Sets the flag to create offset with a dimension or a dimensionless offset
Created in NX5.0.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

Parameters
createDimcreatedim
void NXOpen::SketchOffsetBuilder::SetDegree ( int  degree)

Sets the degree for approximating offset spline
Created in NX5.0.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

Parameters
degreedegree
void NXOpen::SketchOffsetBuilder::SetEndConstraint ( NXOpen::NXObject objectInChain,
int  inx,
bool  isStartEnd,
bool  constraint 
)

This function removes end constraint from the given offset
Created in NX5.0.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

Parameters
objectInChainAn object in the base chain
inxIndex of the constraint - starts from 0
isStartEndTRUE, if we want to remove the start end con
constraintTRUE to add the con, false to remove
void NXOpen::SketchOffsetBuilder::SetNumberOfCopies ( int  copies)

Sets the number of offset copies
Created in NX5.0.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

Parameters
copiescopies
void NXOpen::SketchOffsetBuilder::SetSymmetric ( bool  symmetric)

Sets the flag to indicate if the offset needs to be symmetric or not
Created in NX5.0.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

Parameters
symmetricsymmetric
void NXOpen::SketchOffsetBuilder::SetTolerance ( double  tolerance)

Sets the tolerance for approximating offset spline
Created in NX5.0.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

Parameters
tolerancetolerance
double NXOpen::SketchOffsetBuilder::Tolerance ( )

Returns the tolerance for approximating offset spline
Created in NX5.0.0.



License requirements : None

void NXOpen::SketchOffsetBuilder::UpdateLoopsAndCopies ( )

This function will update the offset after curves are selected.

If the input section is updated to add/remove curves, this function must be called to update the offset constraint. This function will keep the offset constraint synchronised with the edits done to input section.
Created in NX8.0.0.

License requirements : solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

void NXOpen::SketchOffsetBuilder::UpdateSolverDistance ( )

This function will update the distance in the sketch solver using the new data set in the builder
Created in NX11.0.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")


The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.